/*=============================================================================

  Library: XNAT/Core

  Copyright (c) German Cancer Research Center,
    Division of Medical and Biological Informatics

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

=============================================================================*/

#include "ctkXnatDefaultSchemaTypes.h"

QString ctkXnatDefaultSchemaTypes::XSI_PROJECT = "xnat:projectData";
QString ctkXnatDefaultSchemaTypes::XSI_SUBJECT = "xnat:subjectData";
QString ctkXnatDefaultSchemaTypes::XSI_EXPERIMENT = "xnat:experimentData";
QString ctkXnatDefaultSchemaTypes::XSI_IMAGE_SESSION_DATA = "xnat:imageSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_SUBJECT_VARIABLE_DATA = "xnat:subjectVariablesData";
QString ctkXnatDefaultSchemaTypes::XSI_SCAN = "xnat:imageScanData";
QString ctkXnatDefaultSchemaTypes::XSI_ASSESSOR = "xnat:imageAssessorData";
QString ctkXnatDefaultSchemaTypes::XSI_FILE = "xnat:abstractResource";
QString ctkXnatDefaultSchemaTypes::XSI_RECONSTRUCTION = "xnat:reconstructedImageData";
QString ctkXnatDefaultSchemaTypes::XSI_RESOURCE = "xnat:resource";

// Specific schema types for an experiment session
QString ctkXnatDefaultSchemaTypes::XSI_CR_SESSION = "xnat:crSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_CT_SESSION = "xnat:ctSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_DX_SESSION = "xnat:dxSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_DX3DCRANIOFACIAL_SESSION = "xnat:dx3DCraniofacialSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_ECG_SESSION = "xnat:ecgSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_EEG_SESSION = "xnat:eegessionData";
QString ctkXnatDefaultSchemaTypes::XSI_EPS_SESSION = "xnat:epsSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_ES_SESSION = "xnat:esSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_ESV_SESSION = "xnat:esvSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_GM_SESSION = "xnat:gmSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_GMV_SESSION = "xnat:gmvSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_HD_SESSION = "xnat:hdSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_IO_SESSION = "xnat:ioSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_MEG_SESSION = "xnat:megSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_MG_SESSION = "xnat:mgSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_MR_SESSION = "xnat:mrSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_OP_SESSION = "xnat:opSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_OPT_SESSION = "xnat:optSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_OTHER_DICOM_SESSION = "xnat:otherDicomSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_PET_SESSION = "xnat:petSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_RF_SESSION = "xnat:rfSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_RT_SESSION = "xnat:rtSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_SM_SESSION = "xnat:smSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_US_SESSION = "xnat:usSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_XA_SESSION = "xnat:xaSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_XA3D_SESSION = "xnat:xa3DSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_XC_SESSION = "xnat:xcSessionData";
QString ctkXnatDefaultSchemaTypes::XSI_XCV_SESSION = "xnat:xcvSessionData";
